aboutsummaryrefslogtreecommitdiffstats
path: root/test/monniaux/uzlib/tests/run-decomp-bad-inputs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/monniaux/uzlib/tests/run-decomp-bad-inputs.sh')
-rwxr-xr-xtest/monniaux/uzlib/tests/run-decomp-bad-inputs.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/test/monniaux/uzlib/tests/run-decomp-bad-inputs.sh b/test/monniaux/uzlib/tests/run-decomp-bad-inputs.sh
new file mode 100755
index 00000000..195bdf04
--- /dev/null
+++ b/test/monniaux/uzlib/tests/run-decomp-bad-inputs.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# Make sure that globbing order below is independent on the current
+# user locale
+export LANG=C.UTF-8
+unset LC_COLLATE
+
+rm -f decomp-bad-inputs.log
+
+for f in decomp-bad-inputs/*/*; do
+ echo "*" $f
+ ../examples/tgunzip/tgunzip "$f" /dev/null
+ echo $f $? >>decomp-bad-inputs.log
+done
+
+echo
+
+if diff -u decomp-bad-inputs.ref decomp-bad-inputs.log; then
+ echo "Test passed"
+else
+ echo "Test FAILED"
+fi